Create new version
curl --request POST \
--url https://api.getcargo.io/v1/expression/recipes/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPublic": true,
"placeholders": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"expression": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/expression/recipes/{uuid}"
payload = {
"name": "<string>",
"description": "<string>",
"isPublic": True,
"placeholders": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"expression": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPublic: true,
placeholders: [{slug: '<string>', name: '<string>', description: '<string>'}],
expression: '<string>'
})
};
fetch('https://api.getcargo.io/v1/expression/recipes/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Expression - Recipes
Create new version
Create a new version of a recipe
POST
/
expression
/
recipes
/
{uuid}
Create new version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Recipe identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Request body schema.
Recipe name.
Recipe description.
Recipe category.
Available options:
other, classification, cleaning, marketing, sales, event, copywriting Whether the recipe is public.
Recipe placeholders.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Recipe expression.
Response
Successful response
The response is of type object.
Was this page helpful?
⌘I

